Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.visitors
Class UrlModifyingVisitor

    java.lang.Object
      org.htmlparser.visitors.NodeVisitor
          org.htmlparser.visitors.UrlModifyingVisitor

public class UrlModifyingVisitor
extends NodeVisitor

Constructor Summary
`UrlModifyingVisitor(Parser parser, String linkPrefix)`

Method Summary
`String` | `getModifiedResult()`
`void` | `visitEndTag(Tag tag)`
`void` | `visitImageTag(ImageTag imageTag)`
`void` | `visitLinkTag(LinkTag linkTag)`
`void` | `visitRemarkNode(RemarkNode remarkNode)`
`void` | `visitStringNode(StringNode stringNode)`
`void` | `visitTag(Tag tag)`

Methods inherited from class org.htmlparser.visitors.NodeVisitor
`beginParsing, finishedParsing, shouldRecurseChildren, shouldRecurseSelf, visitTitleTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlModifyingVisitor

    public UrlModifyingVisitor(Parser parser,
                               String linkPrefix)

Method Detail

### visitLinkTag

    public void visitLinkTag(LinkTag linkTag)

  Overrides:
    `visitLinkTag` in class `NodeVisitor`

### visitImageTag

    public void visitImageTag(ImageTag imageTag)

  Overrides:
    `visitImageTag` in class `NodeVisitor`

### visitRemarkNode

    public void visitRemarkNode(RemarkNode remarkNode)

  Overrides:
    `visitRemarkNode` in class `NodeVisitor`

### visitStringNode

    public void visitStringNode(StringNode stringNode)

  Overrides:
    `visitStringNode` in class `NodeVisitor`

### visitTag

    public void visitTag(Tag tag)

  Overrides:
    `visitTag` in class `NodeVisitor`

### visitEndTag

    public void visitEndTag(Tag tag)

  Overrides:
    `visitEndTag` in class `NodeVisitor`

### getModifiedResult

    public String getModifiedResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.